<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
        xmlns:app="http://schemas.android.com/apk/res-auto"
        xmlns:tools="http://schemas.android.com/tools">

    <data>
        <variable name="song" type="bacch.player.bacchplayer.model.Song"/>
    </data>


    <android.support.v4.widget.NestedScrollView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:animateLayoutChanges="true">

        <android.support.constraint.ConstraintLayout android:layout_width="match_parent"
                                                     android:background="@color/colorPrimary"
                                                     android:layout_height="wrap_content">

            <android.support.design.widget.FloatingActionButton
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    app:layout_anchor="@id/playerView"
                    app:layout_anchorGravity="top"
                    android:clickable="true"
                    app:srcCompat="@drawable/play"
                    android:backgroundTint="@color/colorAccent"
                    android:id="@+id/actionPlay"
                    tools:ignore="NotSibling"
                    app:layout_constraintBottom_toBottomOf="parent" android:layout_marginStart="8dp"
                    app:layout_constraintStart_toStartOf="parent" android:layout_marginEnd="8dp"
                    app:layout_constraintEnd_toEndOf="parent" android:layout_marginTop="8dp"
                    app:layout_constraintTop_toBottomOf="@+id/textViewName"/>
            <TextView
                    tools:text="05:00"
                    app:mediaTime="@{song.duration}"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:id="@+id/textViewTime"
                    android:textAppearance="@style/TextAppearance.AppCompat.Medium"
                    android:textColor="@android:color/white" android:layout_marginEnd="16dp"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintTop_toTopOf="@+id/textViewTitle"/>
            <ImageView
                    android:layout_width="56dp"
                    android:layout_height="56dp"
                    android:maxWidth="136dp"
                    android:maxHeight="136dp"
                    app:srcCompat="@mipmap/ic_launcher"
                    app:loadImageThumb="@{song}"
                    app:layout_behavior="bacch.player.behaviors.ScrollBehavior"
                    app:layout_anchor="@id/playerView"
                    android:id="@+id/imageViewSongCover" android:layout_marginTop="16dp"
                    app:layout_constraintTop_toTopOf="parent" app:layout_constraintStart_toStartOf="parent"
                    android:layout_marginStart="24dp"
            />
            <TextView
                    android:text="@{song.title}"
                    tools:text="Title"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:id="@+id/textViewTitle" app:layout_constraintStart_toEndOf="@+id/imageViewSongCover"
                    android:layout_marginStart="24dp" android:textAppearance="@style/TextAppearance.AppCompat.Medium"
                    android:layout_marginTop="16dp"
                    app:layout_constraintTop_toTopOf="parent" android:layout_marginEnd="24dp"
                    app:layout_constraintEnd_toStartOf="@+id/textViewTime" android:lines="1"/>
            <TextView
                    android:text="@{song.album}"
                    tools:text="Album"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:id="@+id/textViewName" app:layout_constraintStart_toEndOf="@+id/imageViewSongCover"
                    android:layout_marginStart="24dp" android:layout_marginTop="8dp"
                    app:layout_constraintTop_toBottomOf="@+id/textViewTitle" android:textColor="@android:color/white"/>
            <android.support.design.widget.FloatingActionButton
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    app:fabSize="mini"
                    android:clickable="true" app:srcCompat="@drawable/ic_fast_forward"
                    android:id="@+id/actionForward" app:layout_constraintStart_toEndOf="@+id/actionPlay"
                    android:layout_marginStart="16dp"
                    app:layout_constraintBottom_toBottomOf="@+id/actionPlay"
                    app:layout_constraintTop_toTopOf="@+id/actionPlay"/>
            <android.support.design.widget.FloatingActionButton
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    app:fabSize="mini"
                    android:clickable="true" app:srcCompat="@drawable/ic_fast_rewind"
                    android:id="@+id/actionBackward" app:layout_constraintEnd_toStartOf="@+id/actionPlay"
                    android:layout_marginEnd="16dp"
                    app:layout_constraintTop_toTopOf="@+id/actionPlay"
                    app:layout_constraintBottom_toBottomOf="@+id/actionPlay"/>
            <android.support.design.widget.FloatingActionButton
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    app:fabSize="mini"
                    android:clickable="true" app:srcCompat="@drawable/shuffle"
                    android:id="@+id/actionShuffle" app:layout_constraintStart_toEndOf="@+id/actionForward"
                    android:layout_marginStart="8dp"
                    app:layout_constraintBottom_toBottomOf="@+id/actionForward"
                    app:layout_constraintTop_toTopOf="@+id/actionForward"/>
            <android.support.design.widget.FloatingActionButton
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:clickable="true" app:srcCompat="@drawable/ic_repeat"
                    app:fabSize="mini"
                    android:id="@+id/actionRepeat" app:layout_constraintEnd_toStartOf="@+id/actionBackward"
                    android:layout_marginEnd="8dp"
                    app:layout_constraintBottom_toBottomOf="@+id/actionBackward"
                    app:layout_constraintTop_toTopOf="@+id/actionBackward"/>
            <ProgressBar
                    style="?android:attr/progressBarStyleHorizontal"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:id="@+id/progressBar" android:layout_marginBottom="16dp"
                    android:progressTint="@color/colorAccent"
                    android:scaleY="2"
                    android:interpolator="@android:anim/linear_interpolator"
                    app:layout_constraintBottom_toTopOf="@+id/actionPlay"
                    app:layout_constraintEnd_toEndOf="parent" android:layout_marginEnd="24dp"
                    app:layout_constraintTop_toBottomOf="@+id/textViewName" android:layout_marginTop="16dp"
                    app:layout_constraintStart_toStartOf="parent" android:layout_marginStart="24dp"/>
        </android.support.constraint.ConstraintLayout>

    </android.support.v4.widget.NestedScrollView>
</layout>
